Bug 40367 - startup.sh does not create auto conf file
startup.sh does not create auto conf file
Status: CLOSED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
PC Linux
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-08-30 17:50 UTC by jkoorts
Modified: 2008-10-05 03:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jkoorts 2006-08-30 17:50:24 UTC
Following Apache doc, creates an empty mod_jk.conf file

http://tomcat.apache.org/connectors-doc/howto/apache.html
<snip snip>
To be added at the end of your httpd.conf
    Include $TOMCAT_HOME/conf/jk/mod_jk.conf-auto

This will tell Apache to use directives in the mod_jk.conf-auto file in the
Apache configuration. This file is created by enabling the Apache
auto-configuration as follows, in your server.xml file. Please note that this
example is specific to Tomcat 5.x, unlike other sections of this document which
also apply to previous Tomcat branches. 

  ...
  <Engine ...>
    <Listener className="org.apache.jk.config.ApacheConfig"
modJk="/path/to/mod_jk.so" />
  </Engine>
  ...

Then restart Tomcat and mod_jk.conf should be generated. 

</snip snip>

This "should" but didnt happen.
Comment 1 jkoorts 2006-08-30 17:52:03 UTC
(In reply to comment #0)
> Following Apache doc, creates an empty mod_jk.conf file. An empty mod_jk.conf
file was created following the instructions. This could be a bug in the
documentation or mod_jk or tomcat or apache
> 
> http://tomcat.apache.org/connectors-doc/howto/apache.html
> <snip snip>
> To be added at the end of your httpd.conf
>     Include $TOMCAT_HOME/conf/jk/mod_jk.conf-auto
> 
> This will tell Apache to use directives in the mod_jk.conf-auto file in the
> Apache configuration. This file is created by enabling the Apache
> auto-configuration as follows, in your server.xml file. Please note that this
> example is specific to Tomcat 5.x, unlike other sections of this document which
> also apply to previous Tomcat branches. 
> 
>   ...
>   <Engine ...>
>     <Listener className="org.apache.jk.config.ApacheConfig"
> modJk="/path/to/mod_jk.so" />
>   </Engine>
>   ...
> 
> Then restart Tomcat and mod_jk.conf should be generated. 
> 
> </snip snip>
> 
> This "should" but didnt happen.

Comment 2 jkoorts 2006-08-30 17:55:09 UTC
(In reply to comment #0)

Suse 10.0 64 bit enterprise, with apache, tomcat and mod_jk installed from DVD
via Yast.

> Following Apache doc, creates an empty mod_jk.conf file. An empty mod_jk.conf
file was created following the instructions. This could be a bug in the
documentation or mod_jk or tomcat or apache
> 
> http://tomcat.apache.org/connectors-doc/howto/apache.html
> <snip snip>
> To be added at the end of your httpd.conf
>     Include $TOMCAT_HOME/conf/jk/mod_jk.conf-auto
> 
> This will tell Apache to use directives in the mod_jk.conf-auto file in the
> Apache configuration. This file is created by enabling the Apache
> auto-configuration as follows, in your server.xml file. Please note that this
> example is specific to Tomcat 5.x, unlike other sections of this document which
> also apply to previous Tomcat branches. 
> 
>   ...
>   <Engine ...>
>     <Listener className="org.apache.jk.config.ApacheConfig"
> modJk="/path/to/mod_jk.so" />
>   </Engine>
>   ...
> 
> Then restart Tomcat and mod_jk.conf should be generated. 
> 
> </snip snip>
> 
> This "should" but didnt happen.
Comment 3 Yoav Shapira 2006-12-25 05:42:26 UTC
The docs are out of date, we need to update them; thank you for pointing this out.
Comment 4 Mark Thomas 2007-01-20 15:46:58 UTC
I have tested this and the bit missing in the docs is that workers.properties
must also exist. The docs have been updated in svn and will be included in
5.5.21 onwards.
Comment 5 Rainer Jung 2008-01-01 16:51:26 UTC
Move a couple of fixed JK issues from resolved to closed.